Bug 974692 - Remove Online-specific text from gear shell message
Remove Online-specific text from gear shell message
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On: 983605
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 16:12 EDT by Luke Meyer
Modified: 2013-08-15 10:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 983605 (view as bug list)
Environment:
Last Closed: 2013-08-15 10:31:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2013-06-14 16:12:20 EDT
Description of problem:
When a developer logs into their gear, they are greeted by a message. This message has some Online-specific components that should be removed. Ideally, it would actually be completely configurable by the administrator.

Actual results:
    *********************************************************************

    You are accessing a service that is for use only by authorized users.  
    If you do not have authorization, discontinue use at once. 
    Any use of the services is subject to the applicable terms of the 
    agreement which can be found at: 
    https://www.openshift.com/legal

    *********************************************************************


Expected results:
Nothing about www.openshift.com/legal. In fact, I'd like an option in /etc/openshift/node.conf to specify a file to use instead of this message.

Additional info:
Probably be best to get rid of the v2 cart msg too.
Comment 2 Brenton Leanhardt 2013-07-11 10:31:19 EDT
Let's skin this appropriately.  I'm going to clone this to Origin.
Comment 3 Brenton Leanhardt 2013-08-15 10:31:40 EDT
We'll pick this up during the next rebase.

Note You need to log in before you can comment on or make changes to this bug.